﻿# ベルト作成ツール

## バージョン
1.0.1

## 概要
本ツールは、2プーリ間のタイミングベルト・平ベルト・丸ベルトを作成するiCAD SX用ツールです。

## 導入前の注意事項
- 導入前に必ず、**iCADインストールフォルダごとバックアップ**を作成してください。
- 本ツールはiCADのSDKを利用して作成されています。あらかじめiCAD SX の.NET連携機能を有効にしてください。
  - .NET連携機能有効化の手順
  1. スタートメニュー → iCAD SX 環境設定ツール → .NET連携セットアップ を起動する。
  2. ポート番号を「3999」（初期設定値のまま）にし、「.NET連携を有効にする」のチェックをONにする。
- 本ツールはあらかじめテストをしてから配布をしておりますが、万が一損害が生じた場合の一切の責任を負いかねますので、ご了承ください。

## テスト実施済環境
### iCAD SXのバージョン
V8L3
### OS
Windows 11

## インストール
1. ダウンロードファイルを解凍する
2. 解凍した**MakeBeltフォルダ**を**iCADインストールフォルダ\USER\BIN**へコピー

## 使用方法
1. MakeBelt_2P.exeの実行
	##### コマンドメニューもしくはアイコンメニューへ登録
	- 任意でコマンドメニューもしくはアイコンメニューへ登録してください。
	##### MakeBelt_2P.exeの実行
	- 登録したメニュー（コマンドメニュー、アイコンメニュー）　　
	- iCAD_キー入力領域からのexe実行[;EXEC /%ICADDIR%\USER\BIN\MakeBelt\MakeBelt_2P.exe/ @GO]　
	- iCAD_アプリ実行
	- exeの直接起動  
	上記各方法により実行できます。
2. ベルトを選択し、各設定値を入力
3. ベルトを配置したい3D図面(iCAD)をアクティブにする
4. 作成
	- 図面が保存されていない場合は「部品配置」、保存済みの場合「パーツ配置」にて配置  
    ※部品配置の場合はコメントは型式と同じになります
5. 終了時は✕ボタンで終了

### パーツ名のルール
1. タイミングベルト  
    周長(mm) + ベルトタイプ + 呼び幅(幅(mm)×10)  
	例:180S2M100
2. 平ベルト  
    ベルト幅(mm) - 周長(m)  
	例：350-4.23
3. 丸ベルト  
    ベルト径(φ) - 周長(mm)  
	例：3-150

### 設定変更方法
本ツール内、タイミングベルトリストは"parameter"フォルダ内のCSVファイルによって管理されています。  
CSVファイル内の値を変更することで、タイミングベルト周長・種類を追加/変更できます。
#### "タイミングベルト周長"のリスト
- 管理ファイル：MakeBelt2P_TimingBelt_Perimeter.csv
- ベルトタイプ（type）、ベルト幅（width）、周長（perimeter）を任意の行に追加、もしくは任意の行を削除し編集
#### "タイミングベルト種類"のリスト
- 管理ファイル：MakeBelt2P_TimingBelt_Type.csv
- ベルトタイプ（type）,ピッチ（pitch）,厚み（thickness）,ピッチラインディファレンシャル（PLD）,幅１（width1）,幅２（width2）,幅３（width3）,幅４（width4）,幅５（width5）任意の行に追加、もしくは任意の行を削除し編集
　　

## 著作権/利用条件/免責等について
* 本プログラムに関する著作権等の知的財産権はものづくりのススメ-しれっとプロジェクトに帰属します
* 本プログラムは一切の保証なく、現状で提供されるものであり、正常動作等について作者は保証を行いません
* 本プログラムに関して発生するいかなる問題も利用者の責任により解決されるものとします
* 本プログラムに関して発生するいかなる損害に対しても作者は責任を負いません

上記に同意される場合のみ、本プログラムをご利用ください

## 連絡先
本プログラムに関する不具合、ご要望等は[「ものづくりのススメ」お問い合わせフォーム](https://forms.gle/99xG3r8NDN7NX5QH9)よりご連絡ください。

---
Copyright (c) 2024 ものづくりのススメ-しれっとプロジェクト all aights reserved. 